petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESLINESEARCHNLEQERR

Error-oriented affine-covariant globalised Newton algorithm of Deuflhard (2011). This linesearch is intended for Newton-type methods which are affine covariant. Affine covariance Many brmeans that Newton's method will give the same iterations for F(x) = 0 and AF(x) = 0 for a nonsingular Many brmatrix A. This is a fundamental property; the philosophy of this linesearch is that globalisations Many brof Newton's method should carefully preserve it. Many br

For a discussion of the theory behind this algorithm, see Many br

@book{deuflhard2011, Many brtitle={Newton Methods for Nonlinear Problems}, Many brauthor={Deuflhard, P.}, Many brvolume={35}, Many bryear={2011}, Many brpublisher={Springer-Verlag}, Many braddress={Berlin, Heidelberg} Many br} Many br

Pseudocode is given on page 148. Many br

### Options Database Keys

| -snes_linesearch_damping<1.0> | - initial step length Many br
| -snes_linesearch_minlambda<1e | - 12> - minimum step length allowed Many br

Contributed by Patrick Farrell <patrick.farrell@maths.ox.ac.uk> Many br

Many br

### Keywords

SNES, SNESLineSearch, damping

### See Also

SNESLineSearchCreate(), SNESLineSearchSetType()

Level:advanced
Location:src/snes/linesearch/impls/nleqerr/linesearchnleqerr.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages